VampPluginSDK 2.1

- Main Page
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Functions | Variables
plugins.cpp File Reference

Go to the source code of this file.

## Functions
const VampPluginDescriptor * | vampGetPluginDescriptor (unsigned int version, unsigned int index)
| Get the descriptor for a given plugin index in this library.
## Variables
static Vamp::PluginAdapter < ZeroCrossing > | zeroCrossingAdapter
static Vamp::PluginAdapter < SpectralCentroid > | spectralCentroidAdapter
static Vamp::PluginAdapter < PercussionOnsetDetector > | percussionOnsetAdapter
static Vamp::PluginAdapter < FixedTempoEstimator > | fixedTempoAdapter
static Vamp::PluginAdapter < AmplitudeFollower > | amplitudeAdapter
static Vamp::PluginAdapter < PowerSpectrum > | powerSpectrum

## Function Documentation

const VampPluginDescriptor* vampGetPluginDescriptor | ( | unsigned int | hostApiVersion,
|  | unsigned int | index
| ) |  |

Get the descriptor for a given plugin index in this library.

Return NULL if the index is outside the range of valid indices for this plugin library.

The hostApiVersion argument tells the library code the highest Vamp API version supported by the host. The function should return a plugin descriptor compatible with the highest API version supported by the library that is no higher than that supported by the host. Provided the descriptor has the correct vampApiVersion field for its actual compatibility level, the host should be able to do the right thing with it: use it if possible, discard it otherwise.

This is the only symbol that a Vamp plugin actually needs to export from its shared object; all others can be hidden. See the accompanying documentation for notes on how to achieve this with certain compilers.

Definition at line 54 of file plugins.cpp.

References Vamp::PluginAdapterBase::getDescriptor().

## Variable Documentation

Vamp::PluginAdapter<ZeroCrossing> zeroCrossingAdapter`[static]`

Definition at line 47 of file plugins.cpp.

Vamp::PluginAdapter<SpectralCentroid> spectralCentroidAdapter`[static]`

Definition at line 48 of file plugins.cpp.

Vamp::PluginAdapter<PercussionOnsetDetector> percussionOnsetAdapter`[static]`

Definition at line 49 of file plugins.cpp.

Vamp::PluginAdapter<FixedTempoEstimator> fixedTempoAdapter`[static]`

Definition at line 50 of file plugins.cpp.

Vamp::PluginAdapter<AmplitudeFollower> amplitudeAdapter`[static]`

Definition at line 51 of file plugins.cpp.

Vamp::PluginAdapter<PowerSpectrum> powerSpectrum`[static]`

Definition at line 52 of file plugins.cpp.